# transm

一个简易的使用服务端(`transms`)作为中转中心，间接在两个客户端(`transmc`)之间传输文件的工具。

# 简要说明

- `client`和`server`均为命令行端程序，无GUI。

- `client`从`server`下载文件，如果本地有重复则覆盖。

- 工作方式为`client A`端提交待传输的文件列表到`server`，`client B`端从`server`获取有哪些客户机提交的哪些任务，可以从中下载。

- 上述以及下面示例图中的客户端`A`、`B`只是泛指，实际服务端程序支持任意个客户端同时连接和传输文件（尽管如此，代码还是限制了100个客户端）。

# 使用说明

## 1.程序使用

- 对于服务端程序`transms`，绑定默认绑定`0.0.0.0`的`9898`端口，如果需要修改端口，使用`transms 9898`。
- 对于客户端程序`transmc`，首次请直接启动，程序会在当前用户目录下（比如Win下是`C:\Users\Zhangsan`，Linux下是`/home/zhangsan/`）产生一个`transm.ini`配置文件，在此配置文件中修改服务端的`ip`和`port`，然后再重新使用`transmc`即可。
- `Up`指令后面的文件名路径，如果是非全路径（即相对路径），程序会自动拼接到当前`transmc`工作目录（如`Up dira/test.txt`也是可以的）。

## 2.命令使用

![Screenshot](https://www.sinxmiao.cn/taynpg/transm/raw/branch/main/img/base_intro.png)

# 注意

- 如果两个`transmc`客户端在同一台机器上同时收发同一个文件将导致文件丢失损坏。
